GH-REPO-LICENSE-VIEW(1)

NAME
gh-repo-license-view - View a specific repository license

SYNOPSIS
gh repo license view {<license-key> | <SPDX-ID>} [flags]

DESCRIPTION
View a specific repository license by license key or SPDX ID.

Run gh repo license list to see available commonly used licenses. For even more licenses, visit ⟨https://choosealicense.com/appendix⟩.

OPTIONS

-w, --web
    Open https://choosealicense.com/ in the browser

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # View the MIT license from SPDX ID
    gh repo license view MIT
    # View the MIT license from license key
    gh repo license view mit
    # View the GNU AGPL-3.0 license from SPDX ID
    gh repo license view AGPL-3.0
    # View the GNU AGPL-3.0 license from license key
    gh repo license view agpl-3.0
    # Create a LICENSE.md with the MIT license
    gh repo license view MIT > LICENSE.md

SEE ALSO
gh-repo-license(1)